## org.biojava.stats.svm
Class AbstractSVMTarget

    java.lang.Object
      |
      +--org.biojava.stats.svm.AbstractSVMTarget

public abstract class AbstractSVMTarget
extends java.lang.Object
implements SVMTarget

An abstract implementation of an SVMModel.

You only need implement items, itemTargets and getTarget to make a read-only implementation.

Author:
  Matthew Pocock

Constructor Summary
`AbstractSVMTarget()`

Method Summary
`void` `addItem(java.lang.Object item)`
`void` `addItemTarget(java.lang.Object item, double target)`
`void` `clear()`
`void` `removeItem(java.lang.Object item)`
`void` `setTarget(java.lang.Object item, double target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSVMTarget

    public AbstractSVMTarget()

Method Detail

### setTarget

    public void setTarget(java.lang.Object item,
                          double target)
                   throws java.lang.UnsupportedOperationException

  Specified by:
    setTarget in interface SVMTarget

### addItem

    public void addItem(java.lang.Object item)
                 throws java.lang.UnsupportedOperationException

  Specified by:
    addItem in interface SVMTarget

### addItemTarget

    public void addItemTarget(java.lang.Object item,
                              double target)
                       throws java.lang.UnsupportedOperationException

  Specified by:
    addItemTarget in interface SVMTarget

### removeItem

    public void removeItem(java.lang.Object item)
                    throws java.lang.UnsupportedOperationException

  Specified by:
    removeItem in interface SVMTarget

### clear

    public void clear()
               throws java.lang.UnsupportedOperationException

  Specified by:
    clear in interface SVMTarget